%define upstream_name	 HTML-Lint
%define upstream_version 2.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Module to check for HTML errors
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     HTML-Lint-2.22-fix-tests.patch

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTML::Parser) >= 3.470.0
BuildRequires: perl(HTML::Tagset) >= 3.30.0
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This Perl module is used to check for HTML errors in strings or files.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/HTML
%{perl_vendorlib}/Test
%{_mandir}/*/*
%{_bindir}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.220.0-3.mga6
+ Revision: 1028235
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 2.220.0-2.mga6
+ Revision: 967638
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 2.220.0-1.mga6
+ Revision: 849930
- update to 2.22

* Wed Oct 15 2014 umeabot <umeabot> 2.200.0-5.mga5
+ Revision: 747902
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.200.0-4.mga5
+ Revision: 684948
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.200.0-3.mga4
+ Revision: 511978
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.200.0-2.mga3
+ Revision: 368033
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 2.200.0-1.mga3
+ Revision: 254991
- update to 2.20

* Mon Dec 12 2011 jquelin <jquelin> 2.100.0-1.mga2
+ Revision: 180958
- update to 2.10

* Fri Jan 21 2011 jquelin <jquelin> 2.60.0-1.mga1
+ Revision: 29581
- mageia rebuild
- imported package perl-HTML-Lint


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 2.60.0-1mdv2010.0
+ Revision: 403256
- rebuild using %%perl_convert_version

* Sun Dec 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.06-1mdv2009.1
+ Revision: 320434
- update to new version 2.06

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.04-2mdv2009.0
+ Revision: 268521
- rebuild early 2009.0 package (before pixel changes)

* Tue Jun 03 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.04-1mdv2009.0
+ Revision: 214527
- update to new version 2.04

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.02-2mdv2008.0
+ Revision: 86471
- rebuild


* Mon Jun 19 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.02-1mdv2007.0
- First Mandriva release

